<!-- setPirce 修改价格 -->
<template>
  <div>
    <el-dialog :append-to-body="true" :close-on-click-modal="false" :title="info.type|type|tip" :visible.sync="Show" width="500px">
      <div>
        <el-form :model="formData" :rules="m_rules" ref="ruleForm">
          <el-form-item :label="info.type|type" label-width="80px" prop="price">
            <el-input clearable v-model="formData.price" auto-complete="off"></el-input>
          </el-form-item>

        </el-form>
      </div>
      <div slot="footer">
        <el-button @click="Show = false">关 闭</el-button>
        <el-button type="primary" @click="sureOption">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>

export default {
  name: 'addFormDialog',
  props: {
    value: {
      required: true,
      type: Boolean,
    },
    id: {
      type: [String, Number]
    },

    info: {},
  },

  computed: {
    Show: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  data() {
    return {
      m_tableLoading: false,
      formData: {
        price: '',//总额


      },

      m_rules: {
        price: { required: true, message: '请输入', trigger: 'blur' },

      }
    }
  },

  mounted() {
    this.init()
  },

  methods: {
    //初始化方法
    init() {
      this.formData.price = this.info.type == 1 ? this.info.express_amount : this.info.total_amount
    },

    //编辑新增数据 点击确定
    sureOption() {
      this.$refs['ruleForm'].validate((valid) => {
        if (valid) {
          let data = {
            id: this.info.id,
          }
          if (this.info.type == 1) {
            data.express_amount = this.formData.price

          }
          if (this.info.type == 2) {
            data.total_amount = this.formData.price
          }

          let apiKey = this.info.type == 1 ? 'set_express_cost' : 'total_amount_set'
          this.m_tableLoading = true
          this.m_api[apiKey](data).then(res => {
            this.m_tableLoading = false
            this.m_success('修改成功')
            this.handelSetMenu()
            

          }).catch(err => {
            this.m_tableLoading = false
          })

        } else {
          console.log('error submit!!');
          return false;
        }
      })

    },

    handelSetMenu() {
      this.$emit('save-after')
      this.Show = false
    },
  },
  watch: {

  },
  filters: {
    type(v) {
      if (v == 1) { return '运费' }
      if (v == 2) { return '总额' }
    },
    tip(v) {
      return '修改' + v
    }

  }
}

</script>
<style lang='scss' scoped>
</style>